osl::container::GeneralSimpleHashTable< Record >::Table Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | Private Member Functions | Static Private Member Functions | List of all members
osl::container::GeneralSimpleHashTable< Record >::Table Struct Reference
Collaboration diagram for osl::container::GeneralSimpleHashTable< Record >::Table:
[legend]

## Public Types
typedef hash_map< HashKey, Record > | table_t
typedef table_t::const_iterator | const_iterator

## Public Member Functions
| Table (size_t c)
| ~Table ()
void | clear ()
size_t | size () const
Record * | find (const HashKey &key)
Record * | allocate (const HashKey &key)

## Public Attributes
CArray< table_t, DIVSIZE > | tables
const size_t | capacity
| icc のhash_map がcapacity を持っていなかった気がするので自分で持つ More...
int | num_cache_hit
int | num_record_after_full

## Static Public Attributes
static const unsigned int | DIVSIZE =1

## Private Member Functions
Record * | findInLock (const HashKey &key, int i)

## Static Private Member Functions
static int | keyToIndex (const HashKey &key)

## Detailed Description

### template<typename Record>
struct osl::container::GeneralSimpleHashTable< Record >::Table

Definition at line 17 of file generalSimpleHashTable.tcc.

## Member Typedef Documentation

template<typename Record>

typedef table_t::const_iterator osl::container::GeneralSimpleHashTable< Record >::Table::const_iterator

Definition at line 31 of file generalSimpleHashTable.tcc.

template<typename Record>

typedef hash_map<HashKey, Record > osl::container::GeneralSimpleHashTable< Record >::Table::table_t

Definition at line 30 of file generalSimpleHashTable.tcc.

## Constructor & Destructor Documentation

template<typename Record>

osl::container::GeneralSimpleHashTable< Record >::Table::Table | ( | size_t | c) |  |
| inline

Definition at line 51 of file generalSimpleHashTable.tcc.

References osl::eval::min().

template<typename Record>

osl::container::GeneralSimpleHashTable< Record >::Table::~Table | ( | ) |  |
| inline

Definition at line 59 of file generalSimpleHashTable.tcc.

## Member Function Documentation

template<typename Record>

Record* osl::container::GeneralSimpleHashTable< Record >::Table::allocate | ( | const HashKey & | key) |  |
| inline

Definition at line 120 of file generalSimpleHashTable.tcc.

References osl::container::GeneralSimpleHashTable< Record >::capacity(), result, SCOPED_LOCK, and osl::container::GeneralSimpleHashTable< Record >::size().

template<typename Record>

void osl::container::GeneralSimpleHashTable< Record >::Table::clear | ( | ) |  |
| inline

Definition at line 62 of file generalSimpleHashTable.tcc.

template<typename Record>

Record* osl::container::GeneralSimpleHashTable< Record >::Table::find | ( | const HashKey & | key) |  |
| inline

Definition at line 111 of file generalSimpleHashTable.tcc.

References SCOPED_LOCK.

template<typename Record>

Record* osl::container::GeneralSimpleHashTable< Record >::Table::findInLock | ( | const HashKey & | key,
|  | int | i
| ) |  |
| inlineprivate

Definition at line 78 of file generalSimpleHashTable.tcc.

References osl::container::GeneralSimpleHashTable< Record >::find().

template<typename Record>

static int osl::container::GeneralSimpleHashTable< Record >::Table::keyToIndex | ( | const HashKey & | key) |  |
| inlinestaticprivate

Definition at line 97 of file generalSimpleHashTable.tcc.

template<typename Record>

size_t osl::container::GeneralSimpleHashTable< Record >::Table::size | ( | ) |  | const
| inline

Definition at line 70 of file generalSimpleHashTable.tcc.

References osl::container::GeneralSimpleHashTable< Record >::size().

## Member Data Documentation

template<typename Record>

const size_t osl::container::GeneralSimpleHashTable< Record >::Table::capacity

icc のhash_map がcapacity を持っていなかった気がするので自分で持つ

Definition at line 48 of file generalSimpleHashTable.tcc.

template<typename Record>

const unsigned int osl::container::GeneralSimpleHashTable< Record >::Table::DIVSIZE =1
| static

Definition at line 37 of file generalSimpleHashTable.tcc.

template<typename Record>

int osl::container::GeneralSimpleHashTable< Record >::Table::num_cache_hit

Definition at line 49 of file generalSimpleHashTable.tcc.

template<typename Record>

int osl::container::GeneralSimpleHashTable< Record >::Table::num_record_after_full

Definition at line 49 of file generalSimpleHashTable.tcc.

template<typename Record>

CArray<table_t,DIVSIZE> osl::container::GeneralSimpleHashTable< Record >::Table::tables

Definition at line 45 of file generalSimpleHashTable.tcc.

The documentation for this struct was generated from the following file:

- generalSimpleHashTable.tcc